package net.darkmist.defcon18;

import java.rmi.RemoteException;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class HelloImpl implements Hello
{
	private static final Class/*<HelloImpl>*/ CLASS = HelloImpl.class;
	private static final Logger logger = LoggerFactory.getLogger(CLASS);

	static
	{
		logger.debug("class loaded");
	}

	public String say(String name) throws RemoteException
	{
		logger.debug("name={}", name);
		return "Hello " + name;
	}
}
